curl --request POST \
--url https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"latitude": 0,
"longitude": 0,
"is_active": true
}
'import requests
url = "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points"
payload = {
"name": "<string>",
"address": "<string>",
"latitude": 0,
"longitude": 0,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
latitude: 0,
longitude: 0,
is_active: true
})
};
fetch('https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'address' => '<string>',
'latitude' => 0,
'longitude' => 0,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"vendor_id": "<string>",
"name": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}Add a vendor pickup point
Adds a point where you collect goods from a supplier.
curl --request POST \
--url https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"latitude": 0,
"longitude": 0,
"is_active": true
}
'import requests
url = "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points"
payload = {
"name": "<string>",
"address": "<string>",
"latitude": 0,
"longitude": 0,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
latitude: 0,
longitude: 0,
is_active: true
})
};
fetch('https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'address' => '<string>',
'latitude' => 0,
'longitude' => 0,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/vendors/{vendor}/pickup-points")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"address\": \"<string>\",\n \"latitude\": 0,\n \"longitude\": 0,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"vendor_id": "<string>",
"name": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}vendor_pickup_points.create
Conditions
- name is required, at most 255 characters, and unique among the supplier’s pickup points.
- latitude must be between -90 and 90 and longitude between -180 and 180.
- The pickup point is active unless is_active is false.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the supplier the pickup point is created for.
Body
Name of the pickup point, up to 255 characters, unique among the supplier's pickup points. Required on creation.
255Address of the pickup point, up to 1000 characters.
1000Latitude in decimal degrees, from -90 to 90.
-90 <= x <= 90Longitude in decimal degrees, from -180 to 180.
-180 <= x <= 180Whether the pickup point can be used. Defaults to true on creation.
Response
VendorPickupPointResource
Identifier of the pickup point (27-character KSUID).
Identifier of the supplier the pickup point belongs to.
Name of the pickup point.
Address of the pickup point.
Latitude in decimal degrees, serialized with up to seven decimals.
Longitude in decimal degrees, serialized with up to seven decimals.
Whether the pickup point can be used.
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).